PaymentsBalance

Get balance threshold by balance type

This endpoint allows you to fetch your balance threshold for a specific balance type. Balance threshold determines the minimal value for your balance. If your balance drops below that value, you will receive a notification. This notification is sent every 24h until your balance becomes greater than threshold. Both voice and sms balances have a separate balance threshold.

GET
/api/v1/payments/threshold

Query Parameters

balance_type?string

Optional field. Accepts a balance type for which we should fetch the balance threshold value. If no value was provided, will default to the voice balance type.

Value in"voice" | "additional" | "sms"

Header Parameters

Authorization*string

Your API token

Response Body

application/json

application/json

application/json

curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/payments/threshold" \  -H "Authorization: string"
{
  "code": 0,
  "data": {
    "threshold": 0
  },
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "ok"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.